| gclib 1.34.15 Communications API for Galil controllers and PLCs |

Data Fields
GDataRecord1802 Struct Reference
API

`#include <gclib_record.h>`

## Data Fields
UW | sample_number
| sample number.
UB | input_bank_0
| general input bank 0 (inputs 1-8).
UB | input_bank_1
| general input bank 1 (inputs 9-16).
UB | input_bank_2
| general input bank 2 (inputs 17-24).
UB | input_bank_3
| general input bank 3 (inputs 25-32).
UB | input_bank_4
| general input bank 4 (inputs 33-40).
UB | input_bank_5
| general input bank 5 (inputs 41-48).
UB | input_bank_6
| general input bank 6 (inputs 49-56).
UB | input_bank_7
| general input bank 7 (inputs 57-64).
UB | input_bank_8
| general input bank 8 (inputs 65-72).
UB | input_bank_9
| general input bank 9 (inputs 73-80).
UB | output_bank_0
| general output bank 0 (outputs 1-8).
UB | output_bank_1
| general output bank 1 (outputs 9-16).
UB | output_bank_2
| general output bank 2 (outputs 17-24).
UB | output_bank_3
| general output bank 3 (outputs 25-32).
UB | output_bank_4
| general output bank 4 (outputs 33-40).
UB | output_bank_5
| general output bank 5 (outputs 41-48).
UB | output_bank_6
| general output bank 6 (outputs 49-56).
UB | output_bank_7
| general output bank 7 (outputs 57-64).
UB | output_bank_8
| general output bank 8 (outputs 65-72).
UB | output_bank_9
| general output bank 9 (outputs 73-80).
UB | error_code
| error code.
UB | general_status
| general status
UW | s_plane_segment_count
| segment count of coordinated move for S plane.
UW | s_plane_move_status
| coordinated move status for S plane.
SL | s_distance
| distance traveled in coordinated move for S plane.
UW | t_plane_segment_count
| segment count of coordinated move for T plane.
UW | t_plane_move_status
| Coordinated move status for T plane.
SL | t_distance
| distance traveled in coordinated move for T plane.
UW | axis_a_status
| A axis status.
UB | axis_a_switches
| A axis switches.
UB | axis_a_stop_code
| A axis stop code.
SL | axis_a_reference_position
| A axis reference position.
SL | axis_a_motor_position
| A axis motor position.
SL | axis_a_position_error
| A axis position error.
SL | axis_a_aux_position
| A axis auxiliary position.
SL | axis_a_velocity
| A axis velocity.
SW | axis_a_torque
| A axis torque.
UB | axis_a_reserved_0
| Reserved.
UB | axis_a_reserved_1
| Reserved.
UW | axis_b_status
| B axis status.
UB | axis_b_switches
| B axis switches.
UB | axis_b_stop_code
| B axis stop code.
SL | axis_b_reference_position
| B axis reference position.
SL | axis_b_motor_position
| B axis motor position.
SL | axis_b_position_error
| B axis position error.
SL | axis_b_aux_position
| B axis auxiliary position.
SL | axis_b_velocity
| B axis velocity.
SW | axis_b_torque
| B axis torque.
UB | axis_b_reserved_0
| Reserved.
UB | axis_b_reserved_1
| Reserved.
UW | axis_c_status
| C axis status.
UB | axis_c_switches
| C axis switches.
UB | axis_c_stop_code
| C axis stop code.
SL | axis_c_reference_position
| C axis reference position.
SL | axis_c_motor_position
| C axis motor position.
SL | axis_c_position_error
| C axis position error.
SL | axis_c_aux_position
| C axis auxiliary position.
SL | axis_c_velocity
| C axis velocity.
SW | axis_c_torque
| C axis torque.
UB | axis_c_reserved_0
| Reserved.
UB | axis_c_reserved_1
| Reserved.
UW | axis_d_status
| D axis status.
UB | axis_d_switches
| D axis switches.
UB | axis_d_stop_code
| D axis stop code.
SL | axis_d_reference_position
| D axis reference position.
SL | axis_d_motor_position
| D axis motor position.
SL | axis_d_position_error
| D axis position error.
SL | axis_d_aux_position
| D axis auxiliary position.
SL | axis_d_velocity
| D axis velocity.
SW | axis_d_torque
| D axis torque.
UB | axis_d_reserved_0
| Reserved.
UB | axis_d_reserved_1
| Reserved.

## Detailed Description

Data record struct for DMC-1802 controllers.

The 18x2 Data record is the Same as 2103 except the following.

1. No header bytes. Software removes it from QR.
2. No analog in axis data.

Definition at line 727 of file gclib_record.h.

The documentation for this struct was generated from the following file:

- gclib_record.h